#!/bin/bash
# Variable 'skip' when set to '--skip-update' will skip the check-update step.
skip='--skip-update'
# Variable 'automate' when set to '--automated' is for automatically loading plugins that are named 
# in 'enabled.ini' -- the names have to be exact internal plugin names (without the version).
automate='--automated'
# These three variables are as exepted--the requirements to log in and join any twitch channel chat.
oauth='oauth:'
bot_name=''
channel_name=''
# Name for command that displays all the plugin commands in chat, accessible via relevant badge permissions. 
# Leave blank (as in '') to remove command. Example input: '!help'.
helpcmd=''

while (true)
do
{
	dotnet ./twitchbot.dll $oauth $bot_name $channel_name $skip $automate -help $helpcmd;
	sleep 5;
}
done